import os
import sys
import linecache
import numpy as np
import subprocess

#python extract_struct.py select1 a b select2 c d


select1=int(sys.argv[1])
a=float(sys.argv[2])
b=float(sys.argv[3])
select2=int(sys.argv[4])
c=float(sys.argv[5])
d=float(sys.argv[6])

dcs = np.loadtxt("alanine12.ev")
num_structs=dcs.shape[0]
x = dcs[:,select1]
y = dcs[:,select2]

gro_file='alanine12.gro'
#number of structures
n=10

f2=open(gro_file)
num_lines= sum(1 for _ in f2)

f4=open('extract_structures.gro','w')

for i in range(n):
  x_tar=a+(b-a)*i/n
  y_tar=c+(d-c)*i/n
  dist_best=1000000
  i_best=-1000
  for i in range(len(x)):
    distance = (x[i]-x_tar)**2+(y[i]-y_tar)**2
    if dist_best>distance:
      dist_best=distance
      i_best=i
  print "best:", i_best, dist_best, x[i_best], y[i_best]
  print num_lines/num_structs*i_best
  for i in range(num_lines/num_structs*i_best+1,num_lines/num_structs*(i_best+1)+1):
       f4.write(linecache.getline(gro_file,i))
          
f4.close()


